> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get custom data API logs

Returns the last 20 API calls made to the custom data endpoint. Useful for debugging integration issues.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json get /organization/custom-data/logs
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /organization/custom-data/logs:
    get:
      tags:
        - Custom Data
      summary: Get custom data API logs
      description: >-
        Returns the last 20 API calls made to the custom data endpoint. Useful
        for debugging integration issues.
      operationId: getCustomDataLogs
      responses:
        '200':
          description: Logs retrieved successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    method:
                      type: string
                      description: HTTP method used.
                      example: POST
                    url:
                      type: string
                      description: Endpoint URL called.
                      example: https://api.piedpiper.com/customer-data
                    status:
                      type: integer
                      description: HTTP status code returned.
                      example: 200
                    response:
                      type: string
                      description: Response message or error details.
                      example: Success
                    email:
                      type: string
                      format: email
                      description: Customer email used in the request.
                      example: customer@example.com
                    executed_at:
                      type: string
                      format: date-time
                      description: Timestamp when the request was executed.
                      example: '2025-01-15T10:30:00+00:00'
components:
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````